namespace OpenWarehouse.auth.lib.Model.Account;

public class AddClaimsToUserReturnModel
{
    private Dictionary<string, string> _allUserClaims = new Dictionary<string, string>();
    private string? _error = "";
    private bool _isSucess = false;
    private string? _userId = "";

    public string? UserId
    {
        get => _userId;
        set => _userId = value;
    }

    public bool IsSucess
    {
        get => _isSucess;
        set => _isSucess = value;
    }

    public string? Error
    {
        get => _error;
        set => _error = value;
    }

    public Dictionary<string, string> AllUserClaims
    {
        get => _allUserClaims;
        set => _allUserClaims = value;
    }
}